Associate Group

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/group
API call form
Examples

Division or group within or across the bounds of organizations. Groups have administrators and members and can be assigned access rights to datasets or dashboards. The creating user of a group is automatically given group owner rights. Groups can be created by any user. Only group owners can update or delete a group, or associate or dissociate new group members.

Groups can be associated to users ( Users ), to dashboards and datasets ( Securables ), to collections ( Collections ), to dashboard favorites ( Favorites ), and to connections ( Shareables , using the shareable_id of a connection/account).

Request parametersResponse schema
Expand all Reset
id *UUIDrequired

The unique identifier of the entity

resource *OBJECTrequired
role *STRINGrequired
id *UUIDrequired
properties OBJECT

Properties of the association

flagRead BOOLEAN
flagMember BOOLEAN
flagUse BOOLEAN
flagModify BOOLEAN
flagOwn BOOLEAN
published BOOLEAN
Can be executed by:
Entity Owner
&
Securable Owner
(For: Dashboard)
Entity Owner
&
Securable Owner
(For: Dataset)
Entity Owner
&
Logged-in User
(For: User)
Can be associated to:
Dashboard
Dataset
User
Organization
Collection
Shareables
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "public": false,
  "name": {
    "en": "MyGroup"
  },
  "id": "f5aff911-94fc-45f3-9de2-68e3a0a82334",
  "organization_id": "97d77efd-3314-41cc-89d9-05a497fb5ec6",
  "suborganization": null,
  "created_at": "2018-08-28T10:12:23.625Z",
  "updated_at": "2018-08-28T10:12:23.625Z",
  "deleted_at": null
}